            #GIT_CMT=3de62756cd68d18a78a6cdc169ff8158abcb6be5
%global githubname   libbpf
%global githubver    0.6.0
%global githubfull   %{githubname}-%{githubver}

Name:           %{githubname}
Version:        %{githubver}
Release:    6.0.1.el9
Summary:        Libbpf library

License:        BSD or LGPLv2
URL:            https://github.com/%{githubname}/%{githubname}
Source: libbpf-0.6.0.tar.bz2
Patch1000:	1000-Orabug34698648-libbpf-Define-BTF_KIND_-constants-in-btf.h-to-avoid-.patch
BuildRequires:  gcc elfutils-libelf-devel elfutils-devel python3

# This package supersedes libbpf from kernel-tools,
# which has default Epoch: 0. By having Epoch: 2
# this libbpf will take over smoothly
Epoch:          2

%description
A mirror of bpf-next linux tree bpf-next/tools/lib/bpf directory plus its
supporting header files. The version of the package reflects the version of
ABI.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = 2:%{version}-%{release}

%description devel
The %{name}-devel package contains libraries header files for
developing applications that use %{name}

%package static
Summary: Static library for libbpf development
Requires: %{name}-devel = 2:%{version}-%{release}

%description static
The %{name}-static package contains static library for
developing applications that use %{name}

%global make_flags DESTDIR=%{buildroot} OBJDIR=%{_builddir} CFLAGS="%{optflags}" LDFLAGS="%{__global_ldflags} -Wl,--no-as-needed" LIBDIR=/%{_libdir} NO_PKG_CONFIG=1

%prep
%setup -n %{githubfull}

%patch1000 -p1

%build
%make_build -C ./src %{make_flags}

%install
%make_install -C ./src %{make_flags}

%files
%{_libdir}/libbpf.so.%{githubver}
%{_libdir}/libbpf.so.0

%license LICENSE LICENSE.BSD-2-Clause LICENSE.LGPL-2.1

%files devel
%{_libdir}/libbpf.so
%{_includedir}/bpf/
%{_libdir}/pkgconfig/libbpf.pc

%license LICENSE LICENSE.BSD-2-Clause LICENSE.LGPL-2.1

%files static
%{_libdir}/libbpf.a

%license LICENSE LICENSE.BSD-2-Clause LICENSE.LGPL-2.1

%changelog

* Thu Oct 13 2022 Alan Maguire <alan.maguire@oracle.com> - 0.6.0-6.0.1
- Backport upstream libbpf header fix [Orabug: 34704404]

* Tue Dec 07 2021 Alan Maguire <alan.maguire@oracle.com> - 0.6.0-6
- Fix license ordering, fix changelog formatting, bump to 0.6.0-6.

* Tue Nov 30 2021 Alan Maguire <alan.maguire@oracle.com> - 0.6.0-2
- Update to 0.6.0. [Orabug: 33590864]

* Fri May 15 2020 Alan Maguire <alan.maguire@oracle.com> - 0.0.4-5
- Add license files from upstream libbpf to repo/spec file

* Wed Nov 27 2019 Alan Maguire <alan.maguire@oracle.com> - 0.0.4-3
- Use 0.0.4 libbpf; remove kernel-headers dependency; removed build_*flags

* Fri Nov 22 2019 Jiri Olsa <jolsa@redhat.com> - 0.0.3-3
- Revert to 0.0.3 version and adjust kernel-headers dependency (BZ#1755317)

* Tue Nov 12 2019 Jiri Olsa <jolsa@redhat.com> - 0.0.5-2
- Add kernel-headers dependency

* Thu Oct 03 2019 Jiri Olsa <jolsa@redhat.com> - 0.0.5-1
- release 0.0.5

* Wed Sep 25 2019 Jiri Olsa <jolsa@redhat.com> - 0.0.3-2
- Fix libelf linking (BZ#1755317)

* Fri Sep 13 2019 Jiri Olsa <jolsa@redhat.com> - 0.0.3-1
- Initial release
